#include<bits/stdc++.h>
using namespace std;
#define MAXN 200000
#define ll long long
int dp[MAXN][15];
vector<vector<int>>lista(15);
vector<int>del;
int solve(string s1, string s2, int n, int m)
{
    for(int i=0;i<m;i++)
    {
        if(s1[0]==s2[i])
        {
            dp[0][i]=1;
        }
        else
        {
            dp[0][i]=0;
        }
    }
    for(int i=1;i<n;i++)
    {
        if(s1[i]==s2[0])
        {
            dp[i][0]=dp[i-1][0]+1;
        }
        else
        {
            dp[i][0]=dp[i-1][0];
        }
    }
    for(int i=1;i<n;i++)
    {
        for(int j=1;j<m;j++)
        {
            if(s1[i]==s2[j])
            {
                if(dp[i-1][j]+1<dp[i-1][j-1])
                {
                    dp[i][j]=dp[i-1][j]+1;
                }
                else
                {
                    dp[i][j]=dp[i-1][j-1];
                }
            }
            else
            {
                dp[i][j]=dp[i-1][j];
            }
        }
    }
    for(int i=0;i<n;i++)
    {
        if(s1[i]==s2[0])
        {
            lista[0].push_back(i);
        }
    }
    for(int i=1;i<m;i++)
    {
        for(int j=1;j<n;j++)
        {
            if(s1[j]==s2[i])
            {
                if(dp[j-1][i]+1<dp[j-1][i-1])
                {
                    lista[i].push_back(j);
                }
                else
                {
                    lista[i]=lista[i-1];
                }
            }
        }
    }
    /*for(int i=0;i<n;i++)
    {
        for(int j=0;j<m;j++)
        {
            cout<<dp[i][j]<<" ";
        }
        cout<<endl;
    }*/
    cout<<dp[n-1][m-1]<<endl;
    for(auto i:lista[m-1])
    {
        s1[i]='*';
    }
    cout<<s1<<endl;
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);cout.tie(0);
    string s1, s2;
    cin>>s1>>s2;
    solve(s1,s2,s1.length(),s2.length());
}